<!doctype html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <title></title>
  <meta name="description" content="">
  <script src="./node_modules/jquery/dist/jquery.min.js">
  </script>
  <script src="./node_modules/underscore/underscore-min.js">
  </script>
  <script src="./node_modules/backbone/backbone-min.js">
  </script>
</head>

<body>

  <script>
    var Todo = Backbone.Model.extend({
      defaults: {
        title: '',
        completed: false
      }
    });
    var TodosCollection = Backbone.Collection.extend({
      model: Todo,
    });
    var a = new Todo({
        title: 'Go to Jamaica.'
      }),
      b = new Todo({
        title: 'Go to China.'
      }),
      c = new Todo({
        title: 'Go to Disneyland.'
      });
    var todos = new TodosCollection([a, b]);
    console.log("Collection size: " + todos.length);
    // Logs: Collection size: 2
    todos.add(c);
    console.log("Collection size: " + todos.length);
    // Logs: Collection size: 3
    todos.remove([a, b]);
    console.log("Collection size: " + todos.length);
    // Logs: Collection size: 1
    todos.remove(c);
    console.log("Collection size: " + todos.length);
    // Logs: Collection size: 0
  </script>


</body>

</html>